%define upstream_name    IO-Interface
%define upstream_version 1.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    IO::Interface - Perl extension for access to network card configuration information
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/L/LD/LDS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl-devel
%description
IO::Interface adds methods to IO::Socket objects that allows them to
be used to retrieve and change information about the network
interfaces on your system.  In addition to the object-oriented access
methods, you can use a function-oriented style.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%dir %{perl_vendorarch}/auto/IO/Interface
%{perl_vendorarch}/auto/IO/Interface/*
%{perl_vendorarch}/IO/*
%{_mandir}/*/*


%changelog
* Thu Jun 18 2020 tv <tv> 1.90.0-11.mga8
+ Revision: 1596429
- rebuild for new perl

* Sun Feb 16 2020 umeabot <umeabot> 1.90.0-10.mga8
+ Revision: 1530323
- Mageia 8 Mass Rebuild

* Wed Aug 28 2019 tv <tv> 1.90.0-9.mga8
+ Revision: 1434736
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.90.0-8.mga7
+ Revision: 1293195
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.90.0-7.mga7
+ Revision: 1250431
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.90.0-6.mga7
+ Revision: 1165016
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.90.0-5.mga7
+ Revision: 1148966
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 1.90.0-4.mga7
+ Revision: 1128250
- rebuild for new perl 5.26.0

* Sun Jun 19 2016 pterjan <pterjan> 1.90.0-3.mga6
+ Revision: 1028724
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.90.0-2.mga6
+ Revision: 957545
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.90.0-1.mga6
+ Revision: 843141
- update to 1.09

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-3.mga5
+ Revision: 741828
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-2.mga5
+ Revision: 685065
- Mageia 5 Mass Rebuild

* Tue Jun 10 2014 sander85 <sander85> 1.70.0-1.mga5
+ Revision: 635464
- update to 1.07

* Tue Jun 03 2014 pterjan <pterjan> 1.60.0-6.mga5
+ Revision: 631291
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.60.0-5.mga4
+ Revision: 524336
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.60.0-4.mga4
+ Revision: 430761
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-3.mga3
+ Revision: 368525
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.60.0-2.mga3
+ Revision: 250785
- rebuild for perl 5.16
- update to 1.06

* Sun Jun 12 2011 sander85 <sander85> 1.50.0-3.mga2
+ Revision: 104688
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.50.0-2.mga1
+ Revision: 30545
- mageia rebuild
- imported package perl-IO-Interface

